
from _nxplot import *


class Interaction:
    NONE	=  0
    MOVE	=  1
    RESIZE_N	=  2
    RESIZE_NE	=  3
    RESIZE_E	=  4
    RESIZE_SE	=  5
    RESIZE_S	=  6
    RESIZE_SW	=  7
    RESIZE_W	=  8
    RESIZE_NW	=  9
    MOVE_RESIZE	= 10
def Interaction_valid(value):
    return value >= 0 and value <= 10

class InteractionMask:
    MOVE      = 1<<0
    RESIZE_N  = 1<<1
    RESIZE_NE = 1<<2
    RESIZE_E  = 1<<3
    RESIZE_SE = 1<<4
    RESIZE_S  = 1<<5
    RESIZE_SW = 1<<6
    RESIZE_W  = 1<<7
    RESIZE_NW = 1<<8
def InteractionMask_valid(value):
    return not (value & 0x1ff)


class Linemode:
    SOLID	    = 0
    DOTTED          = 1
    DOTDASHED       = 2
    SHORTDASHED     = 3
    LONGDASHED      = 4
    DOTDOTDASHED    = 5
    DOTDOTDOTDASHED = 6
    DISCONNECTED    = 7
def Linemode_valid(value):
    return value >= 0 and value <= 7
_linemode_values = (Linemode.SOLID, Linemode.DOTTED, Linemode.DOTDASHED,
		    Linemode.SHORTDASHED, Linemode.LONGDASHED,
		    Linemode.DOTDOTDASHED, Linemode.DOTDOTDOTDASHED,
		    Linemode.DISCONNECTED)
def Linemode_values():
    return _linemode_values

class HAlign:
    LEFT   = 0
    CENTER = 1
    RIGHT  = 2
def HAlign_valid(value):
    return value >= 0 and value <= 2

class VAlign:
    BOTTOM   = 0
    BASELINE = 1
    CENTER   = 2
    CAPLINE  = 3
    TOP      = 4
def VAlign_valid(value):
    return value >= 0 and value <= 4



